Sıradaki içerik:

SonicWall ürünlerinde zeroday güvenlik açığı bulundu!

e
sv

Popup Builder Güvenlik Açığı 200.000 Siteyi Tehdit Ediyor

49 okunma — 02 Şubat 2021 22:13
avatar

Omer

  • e 0

    Mutlu

  • e 0

    Eğlenmiş

  • e 0

    Şaşırmış

  • e 0

    Kızgın

  • e 0

    Üzgün

Popup Builder Güvenlik Açığı 200.000 Siteyi Tehdit Ediyor. WebARX araştırmacılar  uyarmak popüler WordPress Popup Oluşturucu eklenti, (tam adı: Duyarlı WordPress Popup Builder Abonelik ve Bülten) 200.000’den fazla sitelerinde yüklü spam içeren çeşitli kötü niyetli faaliyetlerini gerçekleştirmek için kullanılabilir.

Popup Builder 3.71’e kadar eklentinin tüm sürümlerinde sorunlar bulundu ve şimdi geliştiriciler tarafından düzeltildi.

Popup Builder Güvenlik Açığı 200.000 Siteyi Tehdit Ediyor

Uzmanlar, tüm sorunların kökeninin çoğu AJAX yöntemi için yetkilendirme eksikliğinde yattığını yazıyor. Sonuç olarak, bu kusurlar rastgele haber bültenleri göndermek, yerel dosya dahil etme saldırıları, aboneleri içe aktarmak veya kaldırmak ve diğer kötü niyetli eylemler için kullanılabilir.

Eklenti bir doğrulama yöntemi uygulamasına rağmen, esasen AJAX yöntemleri kullanıcı deneyimini doğrulayamadı. Örneğin, Popup Builder nonce belirteç doğrulaması gerçekleştirdi ve bu tür doğrulamayı geçen herhangi bir kullanıcı, güvenlik açığı bulunan AJAX yöntemlerini kullanabilir. Sorun, tüm kullanıcılara gönderilen nonce belirteciydi.

İlgili Haber: Dell Wyse ince istemcisinde iki tehlikeli güvenlik açığı düzeltildi

Bu nedenle, bir saldırıyı gerçekleştirmek için, saldırganın yalnızca oturum açması ve nonce belirtecine erişmesi gerekiyordu. Daha sonra Popup Builder hataları, örneğin, “özel e-posta gövdesi içeriği, e-posta göndericisi ve bir saldırganın tüm abonelere e-posta göndermesine olanak tanıyan diğer birkaç özniteliği” içeren haber bültenleri göndermesine izin verdi.

Araştırmacılar, bunun savunmasız yöntemlerden yalnızca biri olduğunu vurguluyor ve herkesi Popup Builder’ı mümkün olan en kısa sürede güncellemeye çağırıyor.

  • Site İçi Yorumlar

En az 10 karakter gerekli